/**
 * FilmsNewController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/films/new/filmsnewcontroller',
		['app',
		 'ember',
		 'models/film/film'],
		 function(Filmeet){
	console.log('Defining FilmsNewController');
	Filmeet.FilmsNewController = Ember.Controller.extend({
		filmName: null,
		filmGenre: null,
		filmSynopsis: null,
		filmPremiere: null,
		filmInCinemas: false,
		goToFilmDirectory: function(){
			this.transitionToRoute('films.directory');
		},
		createFilm: function(){
			var self = this;
			var name = self.get('filmName');
			var genre = self.get('filmGenre');
			var synopsis = self.get('filmSynopsis');
			var premiere = self.get('filmPremiere');
			var inCinema = self.get('filmInCinemas');
			
			Filmeet.Film.saveNew(name, genre, synopsis, premiere, inCinema, function(data){
				var createdFilm = Filmeet.Film.create({
					sid: data.sid,
					inCinema: data.inCinema,
					name: data.name,
					genre: data.genre,		
					synopsis: data.synopsis,
					premiere: data.premiere
				});
				self.transitionToRoute('films.oneDetails', createdFilm.get('sid'));
			});
		}
	});
});