/**
 * FilmsOneDetailsController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/films/onedetails/filmsonedetailscontroller',
		['app',
		 'nls/i18nhelper',
		 'shared/keys',
		 'ember',
		 'models/filmlibrary/filmlibrary'],
		 function(Filmeet, I18nHelper, Keys){
	console.log('Defining FilmsOneDetailsController');
	Filmeet.FilmsOneDetailsController = Ember.ObjectController.extend({
		/** Associated film status to logged user */
		filmLibrary: null,
		/** Select menu content */
		selectValues: [
			Ember.Object.create({label: I18nHelper.getValueFromKey('selectOption'), id: 0}),
			Ember.Object.create({label: I18nHelper.getValueFromKey('seen'), id: 1}),
			Ember.Object.create({label: I18nHelper.getValueFromKey('wannaSee'), id: 2})],
		/** Selected option from the select menu */
		selectedOption: null,
		/** Got it check input*/
		checkedGotIt: false,
		loadedSeenWannaSee: false,
		loadedGotIt: false,
		addOrUpdateLibrary: function(){
			if(this.get('loadedSeenWannaSee') == true && this.get('loadedGotIt') == true){
				var selectedOption = this.get('selectedOption');
				if(selectedOption.get('id') != 0 || this.get('checkedGotIt') == true){
					var filmLibrary = this.get('filmLibrary');
					
					// Updating 'Seen' or 'Wanna See' value
					if(selectedOption.get('id') == 1){
						filmLibrary.set('seeWannasee', true);
					} else if(selectedOption.get('id') == 2){
						filmLibrary.set('seeWannasee', false);
					}
					// Updating 'Got it' value
					filmLibrary.set('gotIt', this.get('checkedGotIt'));
					if(filmLibrary.get('recordDate') == null){
						filmLibrary.set('filmSid', this.get('content').get('sid'));
						filmLibrary.set('userSid', localStorage.getItem(Keys.username));
						Filmeet.FilmLibrary.addToFilmLibrary(filmLibrary);
					} else {
						filmLibrary.updateFilmStatus();
					}
				}
			}		 
		}.observes('selectedOption', 'checkedGotIt')
	});
});