/**
 * i18n Handlebars helper.
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('nls/i18nhelper',
		['i18n!nls/dictionary',
		 'handlebars'],
		function(dictionary){
	var getValueFromKey = function(key){
		try{
			if(dictionary[key]){
				return dictionary[key];
			} else {
				throw "The key '"+key+"' doesn't exist in the dictionary";
			}
		} catch (e) {
			console.error(e);
		}
	};
	
	Handlebars.registerHelper('I18n', function(key){
		return getValueFromKey(key);
	});
	
	return {
		getValueFromKey: getValueFromKey
	};
});