/**
 * FilmsOneDetailsRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/films/filmsonedetailsroute',
		['app',
		 'ember',
		 'views/films/onedetails/filmsonedetailsview',
		 'controllers/films/onedetails/filmsonedetailscontroller',
		 'models/film/film',
		 'models/filmlibrary/filmlibrary'],
		 function(Filmeet){
	Filmeet.FilmsOneDetailsRoute = Ember.Route.extend({
		serialize: function(context){
			return {
				filmSid: context
			};
		},
		model: function(params){
			return params.filmSid;
		},
		setupController: function(controller, model){
			// Film
			controller.set('content', Filmeet.Film.get(model));
			// Associated FilmLibrary with this user
			Filmeet.FilmLibrary.getFilmLibraryUserStatus(model, function(data){
				controller.set('loadedSeenWannaSee', false);
				controller.set('loadedGotIt', false);
				
				var gotFilmLibrary = Filmeet.FilmLibrary.create();
				
				if(data && data != null){
					gotFilmLibrary.set('filmSid', data.filmSid);
					gotFilmLibrary.set('userSid', data.userSid);
					gotFilmLibrary.set('gotIt', data.gotIt);
					gotFilmLibrary.set('seeWannasee', data.seeWannasee);
					gotFilmLibrary.set('recordDate', data.recordDate);
				}
				controller.set('filmLibrary', gotFilmLibrary);
				var index = 0;
				if(controller.get('filmLibrary').get('seeWannasee') != null){
	 				if(controller.get('filmLibrary').get('seeWannasee') == true){
	 					controller.set('selectedOption', controller.get('selectValues')[1]);
	 					index=1;
	 				} else {
	 					controller.set('selectedOption', controller.get('selectValues')[2]);
	 					index=2;
	 				}
	 			} else {
	 				controller.set('selectedOption',  controller.get('selectValues')[0]);
	 			}
				$('#selectMenu').val(index);
				$('#selectMenu').selectmenu('refresh',true);
				
				controller.set('checkedGotIt', controller.get('filmLibrary').get('gotIt'));
				$('#checkbox').attr("checked", controller.get('checkedGotIt')).checkboxradio('refresh');
				
				controller.set('loadedSeenWannaSee', true);
				controller.set('loadedGotIt', true);
			});
			
		}
	});
});