/**
 * ProfileRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('routes/profile/profileroute',
		['app',
		 'nls/i18nhelper',
		 'shared/keys',
		 'utils/transitionutils',
		 'ember',
		 'views/profile/profileview',
		 'controllers/profile/profilecontroller',
		 'models/user/user',
		 'models/film/film'],
		 function(Filmeet, I18nHelper, Keys, TransitionUtils){
	Filmeet.AppProfileRoute = Ember.Route.extend({
		activate: function(){
			TransitionUtils.setContext(this);
			document.addEventListener('backbutton', TransitionUtils.goHome, false);
		},
		deactivate: function(){
			TransitionUtils.setContext(this);
			document.removeEventListener('backbutton', TransitionUtils.goHome);
		},
		serialize: function(context){
			return {
				username: context
			};
		},
		model: function(params){
			var loggedUser = localStorage.getItem(Keys.username);
			if(params.username == loggedUser){
				return loggedUser;
			} else {
				alert('Hacer el get other user');
			}
		},
		/**
		 * Setting the controller's properties to
		 * default values.
		 */
		setupController: function(controller, model){
			controller.set('content', model);
			var selectOptions = [
                 Ember.Object.create({label: I18nHelper.getValueFromKey('selectOption'), id: 0}),
                 Ember.Object.create({label: I18nHelper.getValueFromKey('seen'), id: 1}),
                 Ember.Object.create({label: I18nHelper.getValueFromKey('wannaSee'), id: 2})
            ];
			controller.set('selectValues', selectOptions);
			controller.set('selectedOption', selectOptions[0]);
			controller.set('checkedGotIt', false);
		}
	});
});