/**
 * JavaScript file with all the libraries' paths and its loader.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

// This object store the paths for development and debugging.
var debugPaths = {
	cordova: '../libs/cordova/cordova-2.4.0',
	ember: '../libs/ember/ember-1.0.0-rc.1',
	handlebars: '../libs/handlebars/handlebars',
	jquery: '../libs/jquery/jquery-1.9.1',
	jqueryMigrate: '../libs/jquery/jquery-migrate-1.1.1',
	jqueryMobile: '../libs/jquerymobile/jquery.mobile-1.2.0',
	text: '../libs/require/text',
	i18n: '../libs/require/i18n'
};

// This object store the paths for the production app
var productionPaths = {
	cordova: '../libs/cordova/cordova-2.4.0',
	ember: '../libs/ember/ember-1.0.0-rc.1.min',
	handlebars: '../libs/handlebars/handlebars',
	jquery: '../libs/jquery/jquery-1.9.1.min',
	jqueryMigrate: '../libs/jquery/jquery-migrate-1.1.1.min',
	jqueryMobile: '../libs/jquerymobile/jquery.mobile-1.2.0.min',
	text: '../libs/require/text',
	i18n: '../libs/require/i18n'
};

/**
 * Define libraries from given paths.
 * @param libPaths {@link Object}
 */
function defineLibrariesFrom(libPaths){
	require.config({
		baseUrl: 'js/app',
		paths: libPaths,
		shim: {
			'ember': { deps:['jquery', 'handlebars'] },
			'handlebars': { deps:['jquery'] },
			'jqueryMigrate': { deps:['ember'] },
			'jqueryMobile': { deps:['jqueryMigrate', '../libs/jquerymobile/jqm-config'] }
		},
		waitSeconds: 20
	});
}